import { EventEmitter } from "@angular/core";
import { IconCacheService } from "../../service/icon-cache.service";
import { Icon } from "../../enum/icon.enum";
import { CdkDragDrop } from "@angular/cdk/drag-drop";
import { SharedService } from "../../service/shared.service";
import { TagTreeItem } from "@colijnit/mainapi/build/model/tag-tree-item.bo";
export declare class SimpleTagsFormComponent {
    iconCacheService: IconCacheService;
    sharedService: SharedService;
    readonly icon: typeof Icon;
    set tags(tags: TagTreeItem[]);
    set linkedTags(tags: TagTreeItem[]);
    get linkedTags(): TagTreeItem[];
    readonly linkedTagsChange: EventEmitter<TagTreeItem[]>;
    breadCrumbs: TagTreeItem[];
    displayTags: TagTreeItem[];
    searchString: string;
    private _tags;
    private _linkedTags;
    showClass(): boolean;
    constructor(iconCacheService: IconCacheService, sharedService: SharedService);
    setRootDisplayTags(): void;
    handleTagSelected(selectedTag: TagTreeItem): void;
    handleCrumbClicked(tag: TagTreeItem, index: number): void;
    handleAddTag(event: CdkDragDrop<TagTreeItem[], any>): void;
    deleteLinkedTag(tag: TagTreeItem): void;
    searchCollection(): void;
    private _loadThumbnail;
}
